SYD-SYS(1)

NAME

syd-sys - Lookup syscalls, errnos, ioctls, open flags, and signals by number or regular expression

SYNOPSIS

syd-sys [-heios] [-a arch] number|regex

syd-sys -a list

syd-sys [-uU]

DESCRIPTION

Given a number, syd-sys prints the matching syscall name.

Given a regex, syd-sys prints case-insensitively matching syscall names.

Use -e to query errno(3) numbers.

Use -i to query ioctl(2) requests.

Use -o to query open(2) flags.

Use -s to query signal(7) numbers.

Use -u to list UNIX domain socket inodes using netlink(7).

Use -U to list UNIX domain socket inodes using proc_net(5).

OPTIONS

-h | Display help.
-a | Specify alternative architecture, such as x86, x86_64 and aarch64.
 | Use list to print the list of libseccomp supported architectures.
-e | Query errno(3) numbers
-i | Query ioctl(2) requests
-o | Query open(2) flags
-s | Query signal(7) numbers
-u | List UNIX domain socket inodes using netlink(7)
-U | List UNIX domain socket inodes using proc_net(5)

SEE ALSO

syd(1), syd(2), syd(5), errno(3), ioctl(2), open(2), syscall(2), signal(7), netlink(7)

syd homepage: https://sydbox.exherbo.org/

AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.